#
# spec file for package python-python-ternary
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
%define skip_python36 1
Name:           python-python-ternary
Version:        1.0.8
Release:        1.14
Summary:        Tool to make ternary plots in python
License:        MIT
URL:            https://github.com/marcharper/python-ternary
Source:         https://github.com/marcharper/python-ternary/archive/%{version}.tar.gz#/python-ternary-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-matplotlib >= 1.4
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module matplotlib >= 1.4}
# /SECTION
%python_subpackages

%description
This is a plotting library for use with matplotlib to make ternary plots plots
in the two dimensional simplex projected onto a two dimensional plane.

The library provides functions for plotting projected lines, curves
(trajectories), scatter plots, and heatmaps.

%prep
%setup -q -n python-ternary-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest discover -v tests/

%files %{python_files}
%doc README.md README.txt CITATION.md citations.md
%license LICENSE
%{python_sitelib}/python_ternary-%{version}*-info
%{python_sitelib}/ternary

%changelog
* Fri Apr 30 2021 Ben Greiner <code@bnavigator.de>
- Update to version 1.0.8
  * Background color for plot, bug fix, cosmetic tweaks
- Skip python36 build on TW: no matplotlib
* Tue Jul 14 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to version 1.0.7
  * fix an example throwing error
* Wed Nov 20 2019 Todd R <toddrme2178@gmail.com>
- initial version
